{% extends "base-volunteer-details.html" %}
{% load i18n tz seawatch_registration_tags %}
{% block profile-content %}
  <a href='{% url "add_experience" pk=volunteer.id %}'>
    <button class="button button-primary" style="float: right">Add experience</button>
  </a>
  <h1>SAR Experience</h1>
  <section id="experiences" class="experience planner-grid-of-cards">
    {% if not experiences %}
      <div class="experience-status planner--card">
        <h2>Experience</h2>
        <p>
          This option allows you to record whether {{ volunteer.first_name }} has SAR experience
          without entering the specific operations they participated in. Once a specific experience
          is recorded, this setting is not relevant anymore.
        </p>
        {% include "volunteers/forms/autosave_form_field.html" with field=has_experience_form.private_has_experience %}
      </div>
    {% else %}
      {% for experience in experiences|dictsortreversed:"date_of_experience" %}
        <div class="experience-details planner--card" style="grid-column: 1 / -1;">
          <a href='{% url "update_experience" pk=volunteer.id exp_id=experience.pk %}'>
            <button class="button" style="float: right; margin-left: 5px;">Edit</button>
          </a>
          <button class="button"
                  style="float: right;
                         margin-right: 5px"
                  hx-get="{% url 'delete_experience_dialog' vol_id=volunteer.id pk=experience.pk %}"
                  hx-trigger="click"
                  hx-target="#experience-delete-dialog"
                  hx-swap="outerHTML">Delete</button>
          <p>
            <span style="font-weight:650">NGO:</span> {{ experience.ngo|default:"Unknown" }}
          </p>
          <p>
            <span style="font-weight:650">Ship:</span> {{ experience.ship|default:"Unknown" }}
          </p>
          {% if experience.operation_name %}
            <p>
              <span style="font-weight:650">Operation Name:</span> {{ experience.operation_name }}
            </p>
          {% endif %}
          <p>
            <span style="font-weight: 650;">Date:</span> <time datetime="{{ experience.date_of_experience.isoformat }}">
              {{ experience.date_of_experience|date:"F Y" }}
            </time>
          </p>
          <p>
            <span style="font-weight:650">Position:</span> {{ experience.position|default:"Not applicable" }}
          </p>
          {% if experience.notes %}
            <p>
              <span style="font-weight:650">Notes:&nbsp;</span> {{ experience.notes }}
            </p>
          {% endif %}
        </div>
      {% endfor %}
      {% get_current_timezone as TIME_ZONE %}
      <small class="timezone-note">All times are in timezone {{ TIME_ZONE }}</small>
    {% endif %}
  </section>
{% endblock %}
{% block extra_body_content %}
  {% include "volunteers/experience_delete_dialog.html" %}
{% endblock %}
